[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPaperRect

Holds the physical and working dimensions for a paper size.

## Declaration

Source position: printers.pas line 152

`type TPaperRect = record`
`PhysicalRect: TRect;` |  | Rectangle for the physical paper size.
`WorkRect: TRect;` |  | Rectangle for the usable print area on the paper.
`end;`

## Description

TPaperRect is a record type with members used to store the physical and working rectangles for a paper size. Coordinates values in the physical and working rectangles are expressed in Dots.

TPaperRect is the type used to implement PaperRect, PaperRectOf and GetDefaultPaperRect in TPaperSize.

## See also

TPaperSize.PaperRect |  | The physical and logical dimension rectangles for the paper size.
TPaperSize.PaperRectOf |  | Gets the dimension for a supported paper with the specified name.